--- a/lib/IPC/Run.pm
+++ b/lib/IPC/Run.pm
@@ -112,7 +112,7 @@
 
 =head1 DESCRIPTION
 
-IPC::Run allows you run and interact with child processes using files, pipes,
+IPC::Run allows you to run and interact with child processes using files, pipes,
 and pseudo-ttys.  Both system()-style and scripted usages are supported and
 may be mixed.  Likewise, functional and OO API styles are both supported and
 may be mixed.
@@ -1005,6 +1005,8 @@
 
 =head1 ROUTINES
 
+=over
+
 =cut
 
 use strict;
@@ -1531,10 +1533,10 @@
 Sends a C<TERM>, waits for all children to exit for up to 30 seconds, then
 sends a C<KILL> to any that survived the C<TERM>.
 
-Will wait for up to 30 more seconds for the OS to sucessfully C<KILL> the
+Will wait for up to 30 more seconds for the OS to successfully C<KILL> the
 processes.
 
-The 30 seconds may be overriden by setting the C<grace> option, this
+The 30 seconds may be overridden by setting the C<grace> option, this
 overrides both timers.
 
 The harness is then cleaned up.
@@ -3609,6 +3611,8 @@
 
 =back
 
+=back
+
 =head1 FILTERS
 
 These filters are used to modify input our output between a child
@@ -4094,7 +4098,7 @@
 gets replaced with /dev/fd or the name of a temporary file containing foo's
 output.  This is like <(sub_cmd ...) found in bash and csh (IIRC).
 
-Allow multiple harnesses to be combined as independant sets of processes
+Allow multiple harnesses to be combined as independent sets of processes
 in to one 'meta-harness'.
 
 Allow a harness to be passed in place of an \@cmd.  This would allow
--- a/lib/IPC/Run/IO.pm
+++ b/lib/IPC/Run/IO.pm
@@ -48,7 +48,7 @@
 =head1 DESCRIPTION
 
 This class and module allows filehandles and filenames to be harnessed for
-I/O when used IPC::Run, independant of anything else IPC::Run is doing
+I/O when used IPC::Run, independent of anything else IPC::Run is doing
 (except that errors & exceptions can affect all things that IPC::Run is
 doing).
 
@@ -223,6 +223,8 @@
 
 =over
 
+=over
+
 =item filename
 
 Gets/sets the filename.  Returns the value after the name change, if
@@ -311,7 +313,7 @@
 =item open_pipe
 
 If this is a redirection IO object, this opens the pipe in a platform
-independant manner.
+independent manner.
 
 =cut
 
--- a/lib/IPC/Run/Timer.pm
+++ b/lib/IPC/Run/Timer.pm
@@ -658,6 +658,8 @@
 Note:  Setting the state to 'undef' to expire a timer will not throw an
 exception.
 
+=back
+
 =cut
 
 sub state {
@@ -675,8 +677,6 @@
 
 =pod
 
-=back
-
 =head1 TODO
 
 use Time::HiRes; if it's present.
--- a/lib/IPC/Run/Debug.pm
+++ b/lib/IPC/Run/Debug.pm
@@ -25,7 +25,7 @@
 =head1 DESCRIPTION
 
 Controls IPC::Run debugging.  Debugging levels are now set by using words,
-but the numbers shown are still supported for backwards compatability:
+but the numbers shown are still supported for backwards compatibility:
 
    0  none         disabled (special, see below)
    1  basic        what's running
